io.netty.handler.codec.mqtt

## Class MqttMessageIdVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageIdVariableHeader

Direct Known Subclasses:
  MqttMessageIdAndPropertiesVariableHeader, MqttPubReplyMessageVariableHeader

    public class MqttMessageIdVariableHeader
    extends Object

Variable Header containing only Message Id See MQTTV3.1/msg-id

### Constructor Summary

Constructors
`protected` `MqttMessageIdVariableHeader(int messageId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MqttMessageIdVariableHeader` `from(int messageId)`
`int` `messageId()`
`String` `toString()`
`MqttMessageIdAndPropertiesVariableHeader` `withEmptyProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttMessageIdVariableHeader

    protected MqttMessageIdVariableHeader(int messageId)

### Method Detail

#### from

    public static MqttMessageIdVariableHeader from(int messageId)

#### messageId

    public int messageId()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### withEmptyProperties

    public MqttMessageIdAndPropertiesVariableHeader withEmptyProperties()